Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 891342 - Thumbnails not shown for videos
Summary: Thumbnails not shown for videos
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: shotwell
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-02 16:35 UTC by Tim Waugh
Modified: 2014-02-05 18:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 14:19:25 UTC
Type: Bug


Attachments (Terms of Use)

Description Tim Waugh 2013-01-02 16:35:17 UTC
Description of problem:
Thumbnails of videos are simply the generic 'video' icon, stretched to the appropriate aspect ratio.  This applies to videos of several different formats (including Ogg Theora) of videos previously imported.

In fact, starting Shotwell for the first time after upgrading from Fedora 16, I did see the correct thumbnails: but they were replaced one by one by the generic icon as I watched.

Version-Release number of selected component (if applicable):
shotwell-0.12.3-1.fc17.x86_64

How reproducible:
100%

Comment 1 Tim Waugh 2013-01-02 17:05:02 UTC
FWIW, .shotwell/thumbs128/*.jpg are identical, as are .shotwell/thumbs360/*.jpg.

Running shotwell-video-thumbnailer manually on one of the imported videos produces a correct PNG thumbnail.

Comment 2 Tim Waugh 2013-04-29 22:21:07 UTC
This still happens in Fedora 18, shotwell-0.13.1-1.fc18.x86_64.

Comment 3 Fedora End Of Life 2013-07-04 00:41:26 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Tim Waugh 2013-08-16 09:15:47 UTC
FWIW, shotwell-video-thumbnailer by hand is no longer even producing correct thumbnails any more. Instead it says:

Failed to play the file: couldn't get state.

(Tried with avi, webm, and mp4 video files, which all play fine in totem)

Comment 5 Fedora End Of Life 2013-12-21 10:08:48 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Davide Repetto 2014-01-04 01:49:10 UTC
"yum install ffmpegthumbnailer" from rpmfusion will enable (fast) video thumbnails.

For a good mesure I usually install also:
gnome-xcf-thumbnailer raw-thumbnailer gnome-exe-thumbnailer gnome-nds-thumbnailer

Comment 7 Fedora End Of Life 2014-02-05 14:19:28 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.